Index: palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4645)
+++ palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4646)
@@ -1210,58 +1207,64 @@
 !
 !--       Initialize/reset indoor temperature
-          buildings(nb)%t_in_l = 0.0_wp 
+          buildings(nb)%t_in_l = 0.0_wp
 !
 !--       Horizontal surfaces
           DO  fa = 1, buildings(nb)%num_facades_per_building_h_l
 !
-!--          Determine index where corresponding surface-type information 
-!--          is stored. 
+!--          Determine index where corresponding surface-type information is stored.
              m = buildings(nb)%m_h(fa)
 !
-!--          Determine building height level index. 
+!--          Determine building height level index.
              kk = surf_usm_h%k(m) + surf_usm_h%koff
 !
 !--          Building geometries --> not time-dependent
-             facade_element_area          = dx * dy                               !< [m2] surface area per facade element    
+             facade_element_area          = dx * dy                               !< [m2] surface area per facade element
              floor_area_per_facade        = buildings(nb)%fapf                    !< [m2/m2] floor area per facade area
-             indoor_volume_per_facade     = buildings(nb)%vpf(kk)                 !< [m3/m2] indoor air volume per facade area 
-             buildings(nb)%area_facade    = facade_element_area *                                   &
-                                          ( buildings(nb)%num_facades_per_building_h +              &
-                                            buildings(nb)%num_facades_per_building_v )                !< [m2] area of total facade
-             window_area_per_facade       = surf_usm_h%frac(m,ind_wat_win)  * facade_element_area     !< [m2] window area per facade element
+             indoor_volume_per_facade     = buildings(nb)%vpf(kk)                 !< [m3/m2] indoor air volume per facade area
+             buildings(nb)%area_facade    = facade_element_area *                                  &
+                                            ( buildings(nb)%num_facades_per_building_h +           &
+                                              buildings(nb)%num_facades_per_building_v )              !< [m2] area of total facade
+             window_area_per_facade       = surf_usm_h%frac(m,ind_wat_win)  * facade_element_area     !< [m2] window area per facade
+                                                                                                      !< element
 
              buildings(nb)%net_floor_area = buildings(nb)%vol_tot / ( buildings(nb)%height_storey )
-             total_area                   = buildings(nb)%net_floor_area                              !< [m2] area of all surfaces pointing to zone  Eq. (9) according to section 7.2.2.2
-             a_m                          = buildings(nb)%factor_a * total_area *                   &
-                                          ( facade_element_area / buildings(nb)%area_facade ) *     &
-                                            buildings(nb)%lambda_at                                   !< [m2] standard values according to Table 12 section 12.3.1.2  (calculate over Eq. (65) according to section 12.3.1.2)
-             c_m                          = buildings(nb)%factor_c * total_area *                   &
-                                          ( facade_element_area / buildings(nb)%area_facade )         !< [J/K] standard values according to table 12 section 12.3.1.2 (calculate over Eq. (66) according to section 12.3.1.2)             
+             total_area                   = buildings(nb)%net_floor_area                            !< [m2] area of all surfaces
+                                                                                                    !< pointing to zone  Eq. (9) according to section 7.2.2.2
+             a_m                          = buildings(nb)%factor_a * total_area *                  &
+                                            ( facade_element_area / buildings(nb)%area_facade ) *  &
+                                            buildings(nb)%lambda_at                                 !< [m2] standard values
+                                                                                                    !< according to Table 12 section 12.3.1.2  (calculate over Eq. (65) according to section 12.3.1.2)
+             c_m                          = buildings(nb)%factor_c * total_area *                  &
+                                            ( facade_element_area / buildings(nb)%area_facade )     !< [J/K] standard values
+                                                                                                    !< according to table 12 section 12.3.1.2 (calculate over Eq. (66) according to section 12.3.1.2)
 !
 !--          Calculation of heat transfer coefficient for transmission --> not time-dependent
              h_t_es   = window_area_per_facade * buildings(nb)%h_es                                   !< [W/K] only for windows
 
-             h_t_is  = buildings(nb)%area_facade  * h_is                                                             !< [W/K] with h_is = 3.45 W / (m2 K) between surface and air, Eq. (9)
-             h_t_ms  = a_m * h_ms                                                                     !< [W/K] with h_ms = 9.10 W / (m2 K) between component and surface, Eq. (64)
-             h_t_wall  = 1.0_wp / ( 1.0_wp / ( ( facade_element_area - window_area_per_facade )     & !< [W/K] 
+             h_t_is  = buildings(nb)%area_facade * h_is                                               !< [W/K] with h_is = 3.45 W /
+                                                                                                      !< (m2 K) between surface and air, Eq. (9)
+             h_t_ms  = a_m * h_ms                                                                     !< [W/K] with h_ms = 9.10 W /
+                                                                                                      !< (m2 K) between component and surface, Eq. (64)
+             h_t_wall  = 1.0_wp / ( 1.0_wp / ( ( facade_element_area - window_area_per_facade )    &  !< [W/K]
                                     * buildings(nb)%lambda_layer3 / buildings(nb)%s_layer3 * 0.5_wp &
                                              ) + 1.0_wp / h_t_ms )                                    !< [W/K] opaque components
-             h_t_wm  = 1.0_wp / ( 1.0_wp / h_t_wall - 1.0_wp / h_t_ms )                               !< [W/K] emmision Eq. (63), Section 12.2.2
-!
-!--          internal air loads dependent on the occupacy of the room
-!--          basical internal heat gains (qint_low) with additional internal heat gains by occupancy (qint_high) (0,5*phi_int)
-             phi_ia = 0.5_wp * ( ( buildings(nb)%qint_high * schedule_d + buildings(nb)%qint_low )  &
-                              * floor_area_per_facade ) 
+             h_t_wm  = 1.0_wp / ( 1.0_wp / h_t_wall - 1.0_wp / h_t_ms )                               !< [W/K] emmision Eq. (63),
+                                                                                                      !< Section 12.2.2
+!
+!--          Internal air loads dependent on the occupacy of the room.
+!--          Basical internal heat gains (qint_low) with additional internal heat gains by occupancy (qint_high) (0,5*phi_int).
+             phi_ia = 0.5_wp * ( ( buildings(nb)%qint_high * schedule_d + buildings(nb)%qint_low ) &
+                              * floor_area_per_facade )
              q_int = phi_ia / total_area
 !
-!--          Airflow dependent on the occupacy of the room
-!--          basical airflow (air_change_low) with additional airflow gains by occupancy (air_change_high)
-             air_change = ( buildings(nb)%air_change_high * schedule_d + buildings(nb)%air_change_low )  !< [1/h]? 
-!
-!--          Heat transfer of ventilation 
-!--          not less than 0.01 W/K to provide division by 0 in further calculations
-!--          with heat capacity of air 0.33 Wh/m2K
-             h_v   = MAX( 0.01_wp , ( air_change * indoor_volume_per_facade *      &
-                                    0.33_wp * (1.0_wp - buildings(nb)%eta_ve ) ) )    !< [W/K] from ISO 13789 Eq.(10)
+!--          Airflow dependent on the occupacy of the room.
+!--          Basical airflow (air_change_low) with additional airflow gains by occupancy (air_change_high)
+             air_change = ( buildings(nb)%air_change_high * schedule_d + buildings(nb)%air_change_low )  !< [1/h]?
+!
+!--          Heat transfer of ventilation.
+!--          Not less than 0.01 W/K to avoid division by 0 in further calculations with heat
+!--          capacity of air 0.33 Wh/m2K.
+             h_v   = MAX( 0.01_wp , ( air_change * indoor_volume_per_facade *                      &
+                                      0.33_wp * (1.0_wp - buildings(nb)%eta_ve ) ) )    !< [W/K] from ISO 13789 Eq.(10)
 
 !--          Heat transfer coefficient auxiliary variables
@@ -1278,47 +1281,53 @@
              k = surf_usm_h%k(m)
              near_facade_temperature = surf_usm_h%pt_10cm(m)
-             indoor_wall_window_temperature =                                  &
-                  surf_usm_h%frac(m,ind_veg_wall) * t_wall_h(nzt_wall,m)       &
-                + surf_usm_h%frac(m,ind_wat_win)  * t_window_h(nzt_wall,m)
-!
-!--          Solar thermal gains. If net_sw_in larger than sun-protection 
-!--          threshold parameter (params_solar_protection), sun protection will 
-!--          be activated
-             IF ( net_sw_in <= params_solar_protection )  THEN 
+             indoor_wall_window_temperature =                                                      &
+                                            surf_usm_h%frac(m,ind_veg_wall) * t_wall_h(nzt_wall,m) &
+                                          + surf_usm_h%frac(m,ind_wat_win)  * t_window_h(nzt_wall,m)
+!
+!--          Solar thermal gains. If net_sw_in larger than sun-protection threshold parameter
+!--          (params_solar_protection), sun protection will be activated.
+             IF ( net_sw_in <= params_solar_protection )  THEN
                 solar_protection_off = 1
                 solar_protection_on  = 0
-             ELSE 
+             ELSE
                 solar_protection_off = 0
                 solar_protection_on  = 1
              ENDIF
 !
-!--          Calculation of total heat gains from net_sw_in through windows [W] in respect on automatic sun protection 
+!--          Calculation of total heat gains from net_sw_in through windows [W] in respect on
+!--          automatic sun protection.
 !--          DIN 4108 - 2 chap.8
-             phi_sol = (   window_area_per_facade * net_sw_in * solar_protection_off                           &
-                         + window_area_per_facade * net_sw_in * buildings(nb)%f_c_win * solar_protection_on )  &
+             phi_sol = (   window_area_per_facade * net_sw_in * solar_protection_off               &
+                         + window_area_per_facade * net_sw_in * buildings(nb)%f_c_win *            &
+                           solar_protection_on )                                                   &
                        * buildings(nb)%g_value_win * ( 1.0_wp - params_f_f ) * params_f_w
-             q_sol = phi_sol           
-!
-!--          Calculation of the mass specific thermal load for internal and external heatsources of the inner node
-             phi_m   = (a_m / total_area) * ( phi_ia + phi_sol )                                    !< [W] Eq. (C.2) with phi_ia=0,5*phi_int
+             q_sol = phi_sol
+!
+!--          Calculation of the mass specific thermal load for internal and external heatsources of
+!--          the inner node.
+             phi_m   = (a_m / total_area) * ( phi_ia + phi_sol )                                    !< [W] Eq. (C.2) with
+                                                                                                    !< phi_ia=0,5*phi_int
              q_c_m = phi_m
 !
-!--          Calculation mass specific thermal load implied non thermal mass 
-             phi_st  =   ( 1.0_wp - ( a_m / total_area ) - ( h_t_es / ( 9.1_wp * total_area ) ) ) &
-                       * ( phi_ia + phi_sol )                                                       !< [W] Eq. (C.3) with phi_ia=0,5*phi_int
-             q_c_st = phi_st            
+!--          Calculation mass specific thermal load implied non thermal mass
+             phi_st  =   ( 1.0_wp - ( a_m / total_area ) - ( h_t_es / ( 9.1_wp * total_area ) ) )  &
+                       * ( phi_ia + phi_sol )                                                       !< [W] Eq. (C.3) with
+                                                                                                    !< phi_ia=0,5*phi_int
+             q_c_st = phi_st
 !
 !--          Calculations for deriving indoor temperature and heat flux into the wall
-!--          Step 1: Indoor temperature without heating and cooling
+!--          Step 1: indoor temperature without heating and cooling
 !--          section C.4.1 Picture C.2 zone 3)
              phi_hc_nd = 0.0_wp
-             
-             CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
-                                         near_facade_temperature, phi_hc_nd )
-!
-!--          If air temperature between border temperatures of heating and cooling, assign output variable, then ready   
-             IF ( buildings(nb)%theta_int_h_set <= theta_air  .AND.  theta_air <= buildings(nb)%theta_int_c_set )  THEN
+
+             CALL  im_calc_temperatures ( i, j, k, indoor_wall_window_temperature,                 &
+                                          near_facade_temperature, phi_hc_nd )
+!
+!--          If air temperature between border temperatures of heating and cooling, assign output
+!--          variable, then ready.
+             IF ( buildings(nb)%theta_int_h_set <= theta_air  .AND.                                &
+                  theta_air <= buildings(nb)%theta_int_c_set )  THEN
                 phi_hc_nd_ac = 0.0_wp
-                phi_hc_nd    = phi_hc_nd_ac            
+                phi_hc_nd    = phi_hc_nd_ac
                 theta_air_ac = theta_air
 !
@@ -1328,46 +1337,48 @@
 !
 !--             Temperature not correct, calculation method according to section C4.2
-                theta_air_0 = theta_air                                                  !< temperature without heating/cooling  
+                theta_air_0 = theta_air                                                  !< temperature without heating/cooling
 !
 !--             Heating or cooling?
                 IF ( theta_air_0 > buildings(nb)%theta_int_c_set )  THEN
                    theta_air_set = buildings(nb)%theta_int_c_set
-                ELSE 
-                   theta_air_set = buildings(nb)%theta_int_h_set 
+                ELSE
+                   theta_air_set = buildings(nb)%theta_int_h_set
                 ENDIF
 !
-!--             Calculate the temperature with phi_hc_nd_10 
+!--             Calculate the temperature with phi_hc_nd_10
                 phi_hc_nd_10 = 10.0_wp * floor_area_per_facade
                 phi_hc_nd    = phi_hc_nd_10
-                
-                CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
-                                            near_facade_temperature, phi_hc_nd )
+
+                CALL  im_calc_temperatures ( i, j, k, indoor_wall_window_temperature,              &
+                                             near_facade_temperature, phi_hc_nd )
                 theta_air_10 = theta_air                                                !< temperature with 10 W/m2 of heating
-                phi_hc_nd_un = phi_hc_nd_10 * (theta_air_set - theta_air_0)          &
+                phi_hc_nd_un = phi_hc_nd_10 * (theta_air_set - theta_air_0)                        &
                                             / (theta_air_10  - theta_air_0)             !< Eq. (C.13)
 !
-!--             Step 3: With temperature ratio to determine the heating or cooling capacity    
-!--             If necessary, limit the power to maximum power
+!--             Step 3: with temperature ratio to determine the heating or cooling capacity.
+!--             If necessary, limit the power to maximum power.
 !--             section C.4.1 Picture C.2 zone 2) and 4)
-                buildings(nb)%phi_c_max = buildings(nb)%q_c_max * floor_area_per_facade              
+                buildings(nb)%phi_c_max = buildings(nb)%q_c_max * floor_area_per_facade
                 buildings(nb)%phi_h_max = buildings(nb)%q_h_max * floor_area_per_facade
-                IF ( buildings(nb)%phi_c_max < phi_hc_nd_un  .AND.  phi_hc_nd_un < buildings(nb)%phi_h_max )  THEN
+                IF ( buildings(nb)%phi_c_max < phi_hc_nd_un  .AND.                                 &
+                     phi_hc_nd_un < buildings(nb)%phi_h_max )  THEN
                    phi_hc_nd_ac = phi_hc_nd_un
-                   phi_hc_nd = phi_hc_nd_un  
+                   phi_hc_nd = phi_hc_nd_un
                 ELSE
 !
-!--             Step 4: Inner temperature with maximum heating (phi_hc_nd_un positive) or cooling (phi_hc_nd_un negative)
+!--             Step 4: inner temperature with maximum heating (phi_hc_nd_un positive) or cooling
+!--                     (phi_hc_nd_un negative)
 !--             section C.4.1 Picture C.2 zone 1) and 5)
                    IF ( phi_hc_nd_un > 0.0_wp )  THEN
                       phi_hc_nd_ac = buildings(nb)%phi_h_max                            !< Limit heating
-                   ELSE 
+                   ELSE
                       phi_hc_nd_ac = buildings(nb)%phi_c_max                            !< Limit cooling
                    ENDIF
                 ENDIF
-                phi_hc_nd = phi_hc_nd_ac   
+                phi_hc_nd = phi_hc_nd_ac
 !
 !--             Calculate the temperature with phi_hc_nd_ac (new)
-                CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
-                                            near_facade_temperature, phi_hc_nd )
+                CALL  im_calc_temperatures ( i, j, k, indoor_wall_window_temperature,              &
+                                             near_facade_temperature, phi_hc_nd )
                 theta_air_ac = theta_air
              ENDIF
@@ -1375,19 +1386,19 @@
 !--          Update theta_m_t_prev
              theta_m_t_prev = theta_m_t
-             
+
              q_vent = h_v * ( theta_air - near_facade_temperature )
 !
-!--          Calculate the operating temperature with weighted mean temperature of air and mean solar temperature
-!--          Will be used for thermal comfort calculations 
+!--          Calculate the operating temperature with weighted mean temperature of air and mean
+!--          solar temperature.
+!--          Will be used for thermal comfort calculations.
              theta_op     = 0.3_wp * theta_air_ac + 0.7_wp * theta_s          !< [degree_C] operative Temperature Eq. (C.12)
 !              surf_usm_h%t_indoor(m) = theta_op                               !< not integrated now
 !
-!--          Heat flux into the wall. Value needed in urban_surface_mod to 
+!--          Heat flux into the wall. Value needed in urban_surface_mod to
 !--          calculate heat transfer through wall layers towards the facade
 !--          (use c_p * rho_surface to convert [W/m2] into [K m/s])
-             q_wall_win = h_t_ms * ( theta_s - theta_m )                       &
-                                    / (   facade_element_area                  &
-                                        - window_area_per_facade )
-             q_trans = q_wall_win * facade_element_area                                        
+             q_wall_win = h_t_ms * ( theta_s - theta_m )                                           &
+                                    / ( facade_element_area - window_area_per_facade )
+             q_trans = q_wall_win * facade_element_area
 !
 !--          Transfer q_wall_win back to USM (innermost wall/window layer)
@@ -1395,23 +1406,23 @@
              surf_usm_h%iwghf_eb_window(m) = q_wall_win
 !
-!--          Sum up operational indoor temperature per kk-level. Further below,
-!--          this temperature is reduced by MPI to one temperature per kk-level
-!--          and building (processor overlapping)
+!--          Sum up operational indoor temperature per kk-level. Further below, this temperature is
+!--          reduced by MPI to one temperature per kk-level and building (processor overlapping).
              buildings(nb)%t_in_l(kk) = buildings(nb)%t_in_l(kk) + theta_op
 !
-!--          Calculation of waste heat
-!--          Anthropogenic heat output
-             IF ( phi_hc_nd_ac > 0.0_wp )  THEN 
+!--          Calculation of waste heat.
+!--          Anthropogenic heat output.
+             IF ( phi_hc_nd_ac > 0.0_wp )  THEN
                 heating_on = 1
                 cooling_on = 0
-             ELSE 
+             ELSE
                 heating_on = 0
                 cooling_on = -1
              ENDIF
 
-             q_waste_heat = ( phi_hc_nd * (                                    &
-                              buildings(nb)%params_waste_heat_h * heating_on + &
-                              buildings(nb)%params_waste_heat_c * cooling_on ) &
-                            ) / facade_element_area                                               !< [W/m2] , observe the directional convention in PALM!
+             q_waste_heat = ( phi_hc_nd * (                                                        &
+                              buildings(nb)%params_waste_heat_h * heating_on +                     &
+                              buildings(nb)%params_waste_heat_c * cooling_on )                     &
+                            ) / facade_element_area                                             !< [W/m2] , observe the directional
+                                                                                                !< convention in PALM!
              surf_usm_h%waste_heat(m) = q_waste_heat
           ENDDO !< Horizontal surfaces loop
@@ -1420,13 +1431,12 @@
           DO  fa = 1, buildings(nb)%num_facades_per_building_v_l
 !
-!--          Determine indices where corresponding surface-type information 
-!--          is stored. 
+!--          Determine indices where corresponding surface-type information is stored.
              l = buildings(nb)%l_v(fa)
              m = buildings(nb)%m_v(fa)
 !
-!--          Determine building height level index. 
+!--          Determine building height level index.
              kk = surf_usm_v(l)%k(m) + surf_usm_v(l)%koff
 !
-!--          (SOME OF THE FOLLOWING (not time-dependent COULD PROBABLY GO INTO A FUNCTION
+!--          (SOME OF THE FOLLOWING (not time-dependent) COULD PROBABLY GO INTO A FUNCTION
 !--          EXCEPT facade_element_area, EVERYTHING IS CALCULATED EQUALLY)
 !--          Building geometries  --> not time-dependent
@@ -1435,45 +1445,55 @@
 
              floor_area_per_facade        = buildings(nb)%fapf                  !< [m2/m2] floor area per facade area
-             indoor_volume_per_facade     = buildings(nb)%vpf(kk)               !< [m3/m2] indoor air volume per facade area 
-             buildings(nb)%area_facade    = facade_element_area *                                   &
-                                          ( buildings(nb)%num_facades_per_building_h +              &
-                                            buildings(nb)%num_facades_per_building_v )                !< [m2] area of total facade
-             window_area_per_facade       = surf_usm_v(l)%frac(m,ind_wat_win)  * facade_element_area  !< [m2] window area per facade element
+             indoor_volume_per_facade     = buildings(nb)%vpf(kk)               !< [m3/m2] indoor air volume per facade area
+             buildings(nb)%area_facade    = facade_element_area *                                  &
+                                            ( buildings(nb)%num_facades_per_building_h +           &
+                                              buildings(nb)%num_facades_per_building_v )              !< [m2] area of total facade
+             window_area_per_facade       = surf_usm_v(l)%frac(m,ind_wat_win) * facade_element_area   !< [m2] window area per
+                                                                                                      !< facade element
 
              buildings(nb)%net_floor_area = buildings(nb)%vol_tot / ( buildings(nb)%height_storey )
-             total_area                   = buildings(nb)%net_floor_area                              !< [m2] area of all surfaces pointing to zone  Eq. (9) according to section 7.2.2.2
-             a_m                          = buildings(nb)%factor_a * total_area *                   &
-                                          ( facade_element_area / buildings(nb)%area_facade ) *     &
-                                            buildings(nb)%lambda_at                                   !< [m2] standard values according to Table 12 section 12.3.1.2  (calculate over Eq. (65) according to section 12.3.1.2)
+             total_area                   = buildings(nb)%net_floor_area                              !< [m2] area of all surfaces
+                                                                                                      !< pointing to zone  Eq. (9) according to section 7.2.2.2
+             a_m                          = buildings(nb)%factor_a * total_area *                  &
+                                            ( facade_element_area / buildings(nb)%area_facade ) *  &
+                                              buildings(nb)%lambda_at                                 !< [m2] standard values
+                                                                                                      !< according to Table 12 section 12.3.1.2  (calculate over Eq. (65) according to section 12.3.1.2)
              c_m                          = buildings(nb)%factor_c * total_area *                   &
-                                          ( facade_element_area / buildings(nb)%area_facade )         !< [J/K] standard values according to table 12 section 12.3.1.2 (calculate over Eq. (66) according to section 12.3.1.2)
+                                            ( facade_element_area / buildings(nb)%area_facade )       !< [J/K] standard values
+                                                                                                      !< according to table 12 section 12.3.1.2 (calculate over Eq. (66) according to section 12.3.1.2)
 !
 !--          Calculation of heat transfer coefficient for transmission --> not time-dependent
              h_t_es   = window_area_per_facade * buildings(nb)%h_es                                   !< [W/K] only for windows
 
-             h_t_is  = buildings(nb)%area_facade  * h_is                                                             !< [W/K] with h_is = 3.45 W / (m2 K) between surface and air, Eq. (9)
-             h_t_ms  = a_m * h_ms                                                                     !< [W/K] with h_ms = 9.10 W / (m2 K) between component and surface, Eq. (64)
-             h_t_wall  = 1.0_wp / ( 1.0_wp / ( ( facade_element_area - window_area_per_facade )     & !< [W/K] 
+             h_t_is  = buildings(nb)%area_facade  * h_is                                              !< [W/K] with h_is = 3.45 W /
+                                                                                                      !< (m2 K) between surface and air, Eq. (9)
+             h_t_ms  = a_m * h_ms                                                                     !< [W/K] with h_ms = 9.10 W /
+                                                                                                      !< (m2 K) between component and surface, Eq. (64)
+             h_t_wall  = 1.0_wp / ( 1.0_wp / ( ( facade_element_area - window_area_per_facade )    &  !< [W/K]
                                     * buildings(nb)%lambda_layer3 / buildings(nb)%s_layer3 * 0.5_wp &
                                              ) + 1.0_wp / h_t_ms )                                    !< [W/K] opaque components
              h_t_wm  = 1.0_wp / ( 1.0_wp / h_t_wall - 1.0_wp / h_t_ms )                               !< [W/K] emmision Eq. (63), Section 12.2.2
 !
-!--          internal air loads dependent on the occupacy of the room
-!--          basical internal heat gains (qint_low) with additional internal heat gains by occupancy (qint_high) (0,5*phi_int)
-             phi_ia = 0.5_wp * ( ( buildings(nb)%qint_high * schedule_d + buildings(nb)%qint_low )  &
-                              * floor_area_per_facade )
+!--          Internal air loads dependent on the occupacy of the room.
+!--          Basical internal heat gains (qint_low) with additional internal heat gains by occupancy
+!--          (qint_high) (0,5*phi_int)
+             phi_ia = 0.5_wp * ( ( buildings(nb)%qint_high * schedule_d + buildings(nb)%qint_low ) &
+                             * floor_area_per_facade )
              q_int = phi_ia
 
 !
-!--          Airflow dependent on the occupacy of the room
-!--          basical airflow (air_change_low) with additional airflow gains by occupancy (air_change_high)
-             air_change = ( buildings(nb)%air_change_high * schedule_d + buildings(nb)%air_change_low )  
-!
-!--          Heat transfer of ventilation 
-!--          not less than 0.01 W/K to provide division by 0 in further calculations
-!--          with heat capacity of air 0.33 Wh/m2K
-             h_v   = MAX( 0.01_wp , ( air_change * indoor_volume_per_facade *                       &
-                                    0.33_wp * (1.0_wp - buildings(nb)%eta_ve ) ) )                    !< [W/K] from ISO 13789 Eq.(10)
-                                    
+!--          Airflow dependent on the occupacy of the room.
+!--          Basical airflow (air_change_low) with additional airflow gains by occupancy
+!--          (air_change_high)
+             air_change = ( buildings(nb)%air_change_high * schedule_d +                           &
+                          buildings(nb)%air_change_low )
+!
+!--          Heat transfer of ventilation.
+!--          Not less than 0.01 W/K to avoid division by 0 in further calculations with heat
+!--          capacity of air 0.33 Wh/m2K
+             h_v   = MAX( 0.01_wp , ( air_change * indoor_volume_per_facade *                      &
+                                    0.33_wp * (1.0_wp - buildings(nb)%eta_ve ) ) )                    !< [W/K] from ISO 13789
+                                                                                                      !< Eq.(10)
+
 !--          Heat transfer coefficient auxiliary variables
              h_t_1 = 1.0_wp / ( ( 1.0_wp / h_v )   + ( 1.0_wp / h_t_is ) )                            !< [W/K] Eq. (C.6)
